LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBTypeList Class Reference

`#include <SBType.h>`

## Public Member Functions
| SBTypeList ()
| SBTypeList (const lldb::SBTypeList &rhs)
| ~SBTypeList ()
lldb::SBTypeList & | operator= (const lldb::SBTypeList &rhs)
bool | IsValid ()
void | Append (lldb::SBType type)
lldb::SBType | GetTypeAtIndex (uint32_t index)
uint32_t | GetSize ()

## Friends
class | SBModule
class | SBCompileUnit

## Detailed Description

Definition at line 229 of file SBType.h.

## Constructor & Destructor Documentation

lldb::SBTypeList::SBTypeList | ( |  | ) |

lldb::SBTypeList::SBTypeList | ( | const lldb::SBTypeList & | rhs | ) |

lldb::SBTypeList::~SBTypeList | ( |  | ) |

## Member Function Documentation

void lldb::SBTypeList::Append | ( | lldb::SBType | type | ) |

uint32_t lldb::SBTypeList::GetSize | ( |  | ) |

lldb::SBType lldb::SBTypeList::GetTypeAtIndex | ( | uint32_t | index | ) |

bool lldb::SBTypeList::IsValid | ( |  | ) |

lldb::SBTypeList& lldb::SBTypeList::operator= | ( | const lldb::SBTypeList & | rhs | ) |

## Friends And Related Function Documentation

friend class SBCompileUnit
| friend

Definition at line 250 of file SBType.h.

friend class SBModule
| friend

Definition at line 249 of file SBType.h.

The documentation for this class was generated from the following file:

- SBType.h